Description

Hi !

Columns breaks in the composer legends happen without regard to the new "Group"/"Subgroup"/"Hidden" mechanism, making it possible

for elements to be split across different columns even if they are in the same group/subgroup.

IMO, there should be the following options (radio buttons) :

- "Split at groups" (splits can occur only right before a new group)

- "Split at subgroups" (splits can occur only right before a new group or subgroup)

- "Split anywhere" (splits can occur anywhere)

And to be perfectly customizable, we may also need the ability to insert manual column breaks.

I'm not sure if this should be filed as a bug or a feature, bug right now, the results are hard to predict and not very usable.

Thanks !!

History

#1 - 2014-02-07 01:32 PM - Nyall Dawson

- Subject changed from Columns break in multicolumns composer legends happen at wrong place to [composer] More options for customising column 

breaks in legends

- Tracker changed from Bug report to Feature request

#2 - 2014-02-07 01:32 PM - Nyall Dawson

- Category set to Map Composer/Printing

#3 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No
